function readint
openr,1,'intensity.dat'
nf=0
nz=0
nmu=0
readf,1,nf,nmu,nz
z=dblarr(nz)
mu=dblarr(nmu)
freq=dblarr(nf)
readf,1,z
readf,1,mu
readf,1,freq
data=dblarr(2,nf,nmu,nz)
readf,1,data
close,1
intj=dblarr(nf,nmu,nz)
inth=dblarr(nf,nmu,nz)
intj(*,*,*) = data(0,*,*,*)
inth(*,*,*) = data(1,*,*,*)
return,{z:z,freq:freq,mu:mu,intj:intj,inth:inth}
end


function totflux,i
nz=n_elements(i.z)
nmu=n_elements(i.mu)
nf=n_elements(i.freq)
fluxnu=dblarr(nf)
mu=i.mu
for inu=0,nf-1 do begin
   fluxnu(inu)=0.d0
   for imu=1,nmu-1 do begin
      fluxnu(inu) = fluxnu(inu) + 4 * !dpi * 0.5 * $
             (i.inth(inu,imu,nz-1)*mu(imu)+i.inth(inu,imu-1,nz-1)*mu(imu-1)) * $
             abs( mu(imu) - mu(imu-1) )
   endfor
endfor
flux=0.d0
for inu=1,nf-1 do begin
   flux = flux + 0.5 * ( fluxnu(inu) + fluxnu(inu-1) ) * $
                 abs( i.freq(inu) - i.freq(inu-1) )
endfor
return,flux
end
