c
c     Commons for the central star
c
      common/star/star_t,             ! Temperature of central star
     %            star_r,             ! Radius of central star
     %            star_m,             ! Mass of star
     %            star_lum            ! Spectrum of the star in lum
      doubleprecision star_r,star_t,star_m
      doubleprecision star_lum(FRSIZE_FREQ)
c
c     Commons for the disk
c
      common/disk/rrt_rho,rrt_temp,rrt_flareindex,rrt_vz,
     %       rrt_starvis,rrt_rhogas
      doubleprecision rrt_rho(DUST_SPECIES_MAX,FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_rhogas(FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_temp(DUST_SIZE_MAX,DUST_SPECIES_MAX,
     %                         FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_flareindex(FRSIZE_R)
      doubleprecision rrt_vz(FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_starvis(FRSIZE_R)
c
c     The planck-mean dust opacity
c
      common/dopac/dopac_temp,dopac_kappa,dopac_plkap_star,
     %        dopac_kscat,dopac_gscat
      doubleprecision dopac_temp(NR_TEMPERATURE),dopac_plkap_star
      doubleprecision dopac_kappa(NR_TEMPERATURE)
      doubleprecision dopac_kscat(NR_TEMPERATURE)
      doubleprecision dopac_gscat(NR_TEMPERATURE)
      common/idopac/dopac_nt
      integer dopac_nt
c
      common/debug/db_meanint
      doubleprecision db_meanint(FRSIZE_Z,FRSIZE_R)
c
