@readdisk.pro
@findhs.pro
@findhp.pro
@natconst.pro

thick=3.0      ; Postscript line thickness
size=1.4       ; Postscript char size
mu=1.0

mstar = 2.d0 * MS

ir=5

ano  = readdisk('no')
a0   = readdisk('a0')
a1   = readdisk('a1')
a2   = readdisk('a2')

hsno = findhs(ano)
hs0  = findhs(a0)
hs1  = findhs(a1)
hs2  = findhs(a2)

hpno = findhp(ano,mstar)
hp0  = findhp(a0,mstar)
hp1  = findhp(a1,mstar)
hp2  = findhp(a2,mstar)


!p.thick=thick
!x.thick=thick
!y.thick=thick
!z.thick=thick
!p.charthick=thick
!p.charsize=size
!x.minor=2

set_plot,'ps'
device,file='hs.ps'
plot,ano.r/au,hsno/ano.r,/xl,yrange=[0,0.7],/ys,xrange=[2,300],/xs,$
 xtitle='R [AU]',ytitle='H!Dp!N/R  ,  H!Ds!N/R'
oplot,a0.r/au,hs0/ano.r,line=1
oplot,a1.r/au,hs1/ano.r,line=2
oplot,a2.r/au,hs2/ano.r,line=3
oplot,a0.r/au,hp0/ano.r,line=0
oplot,a0.r/au,hp0/ano.r,line=1
oplot,a1.r/au,hp1/ano.r,line=2
oplot,a2.r/au,hp2/ano.r,line=3
xyouts,80,0.45,'H!Ds!N'
xyouts,50,0.1,'H!Dp!N'
annot,0.05,0.92,0.1,0.06,[0,1,2,3],['no scat','!4x!X=0.5',$
       '!4x!X=0.8','!4x!X=0.9']
device,/close
set_plot,'x'

!p.thick=1
!x.thick=1
!y.thick=1
!z.thick=1
!p.charthick=1
!p.charsize=1

end



