@hunt.pro

function natta,s
@natconst.pro
lambda=1d4*cc/s.freq
hunt,lambda,10.,jlo
nf     = n_elements(s.freq)
inu_14 = 33
inu_7  = 44
;
; Compute the flux between 7.2 and 14.2 micron
;
nu=s.freq[inu_14:inu_7]
sp=s.spectrum[inu_14:inu_7]
lum_tenmic = 4*pi*pc^2*integrate(nu,sp)
;
; Compute the flux between 0.1 and 7.2 micron
;
nu=s.freq[inu_7:nf-1]
sp=s.spectrum[inu_7:nf-1]
lum_nir = 4*pi*pc^2*integrate(nu,sp)
;
; Compute the flux between 14.2 and 10000 micron
;
nu=s.freq[0:inu_14]
sp=s.spectrum[0:inu_14]
lum_fir = 4*pi*pc^2*integrate(nu,sp)
;
return,{lum_nir:lum_nir,lum_fir:lum_fir,lum_tenmic:lum_tenmic}
end
