function findhs,a
nr=n_elements(a.r)
nz=n_elements(a.z[0,*])

hs=dblarr(nr)
for ir=0,nr-1 do begin
   itau=nz-1
   ttemp=0.7788 * a.temp(ir,nz-1)
   for iz=nz-1,0,-1 do begin
      if a.temp(ir,iz) gt ttemp then itau=iz
   endfor
   if itau eq 0 then begin
      hs[ir]=0.d0
   endif else begin
      iz=itau-1
      eps=(ttemp-a.temp(ir,iz))/(a.temp(ir,iz+1)-a.temp(ir,iz))
      hs[ir]=(1.d0-eps)*a.z[ir,iz]+eps*a.z[ir,iz+1]
   endelse
endfor
return,hs
end

