@hunt.pro
pro makealbedo,albedo,gscat
@natconst.pro

if n_elements(gscat) eq 0 then gscat=0.d0

openr,1,'frequency.inp'
nnf=1
readf,1,nnf
nu=dblarr(nnf)
readf,1,nu
close,1

openr,1,'dustopac_noscat.inp'
nf=0
id=0
readf,1,nf,id
kabs=dblarr(nf)
ksca=dblarr(nf)
readf,1,kabs
readf,1,ksca
close,1

lambda0=2.0   ; Micron
freq0=1d4*cc/lambda0
hunt,nu,freq0,jlo,eps
jlo=jlo[0]

if nu[0] lt nu[1] then begin
   ksca(jlo:*)=albedo*kabs(jlo:*)/(1.-albedo)
endif else begin
   ksca(0:jlo)=albedo*kabs(0:jlo)/(1.-albedo)
endelse


openw,1,'dustopac_1.inp'
printf,1,nf,id
printf,1,' '
for i=0,nf-1 do printf,1,kabs[i]
printf,1,' '
for i=0,nf-1 do printf,1,ksca[i]
printf,1,' '
for i=0,nf-1 do printf,1,gscat
close,1
end
