@annot
@readdisk
@natconst

thick=3.0      ; Postscript line thickness
size=1.4       ; Postscript char size

ir=11
inu=[57,20,16,10]
nfr=n_elements(inu)

a=readdisk(2)
o=readopac()
gastd=100.

ss=size(a.rho)
nz=ss[2]


!p.thick=thick
!x.thick=thick
!y.thick=thick
!z.thick=thick
!p.charthick=thick
!p.charsize=size
!y.minor=2
!x.minor=2

set_plot,'ps'
device,file='optdepth_slice.ps'
for iinu=0,nfr-1 do begin
   kappa=o.cabs[inu[iinu]]
   tauv=dblarr(nz)
   for iz=nz-2,0,-1 do tauv[iz]=tauv[iz+1]+$
     0.5*(a.rho[ir,iz]+a.rho[ir,iz+1])*kappa*$
     abs(a.z[ir,iz+1]-a.z[ir,iz])/gastd
   if iinu eq 0 then begin
      plot,a.z[ir,*]/a.r[ir],tauv,/yl,line=0, $
           xtitle='z/R',ytitle='!4s!X!D!4m!X!N',title='At 1 AU' 
   endif else begin 
      oplot,a.z[ir,*]/a.r[ir],tauv,line=iinu
   endelse
endfor
annot,0.7,0.9,0.1,0.1,[0,1,2,3],['0.5','30','100','550']
device,/close
set_plot,'x'
!p.thick=1
!x.thick=1
!y.thick=1
!z.thick=1
!p.charthick=1
!p.charsize=1


end
