common colcodes,black,white,red,green,blue,yellow,magenta,cyan,brown,$
                purple,pink,grey,darkgreen,darkblue,darkbrown,darkyellow
@colortable.pro
@readdisk
@annot
@readconv
@readaux
@analyze
@natconst

thick=3.0      ; Postscript line thickness
size=1.8       ; Postscript char size
linethick=5.
;ir=26
;xmax=0.6
ir=11
xmax=0.2
irtoc=28
irar   = [15,20,25,29]
xmaxar = 0.8+dblarr(n_elements(irar))
ir2=26
xmax2=0.6


b=readdisk(100)
a=readdisk(112)
aa=readaux(112)

openr,1,'vertrt.dat'
nr=0
nz=0
readf,1,nr,nz
moms=dblarr(2,nz,nr)
readf,1,moms
close,1

sb=read_spectrum(ext='100')
sa=read_spectrum(ext='112')
sc=read_spectrum(ext='cg')

!p.thick=thick
!x.thick=thick
!y.thick=thick
!z.thick=thick
!p.charthick=thick
!p.charsize=size
!y.minor=2
!x.minor=2

set_plot,'ps'
device,file='temp_color.ps',/color,bits_per_pixel=8,ysize=15,xsize=20
colortable,-1
icolfull = green
icolmemo = red
plot,a.z(ir,*)/a.r(ir),a.temp(ir,*),xrange=[0,xmax],$
      xtitle='z/R',ytitle='T [K]',/nodata
oplot,b.z(ir,*)/a.r(ir),b.temp(ir,*),color=icolmemo,thick=linethick
oplot,a.z(ir,*)/a.r(ir),a.temp(ir,*),color=icolfull,thick=linethick
annot,0.05,0.9,0.1,0.1,[0],['Full Transfer'],color=icolfull
annot,0.05,0.8,0.1,0.1,[2],['Moment Eqs'],color=icolmemo
device,/close
set_plot,'x'

set_plot,'ps'
device,file='dens_color.ps',/color,bits_per_pixel=8,ysize=15,xsize=20
colortable,-1
icolfull = green
icolmemo = red
plot,a.z(ir,*)/a.r(ir),a.rho(ir,*),xrange=[0,xmax],/yl,$
      xtitle='z/R',ytitle='!4q!X [g/cm!U3!N]',/nodata
oplot,b.z(ir,*)/a.r(ir),b.rho(ir,*),color=icolmemo,thick=linethick
oplot,a.z(ir,*)/a.r(ir),a.rho(ir,*),color=icolfull,thick=linethick
annot,0.55,0.9,0.1,0.1,[0],['Full Transfer'],color=icolfull
annot,0.55,0.8,0.1,0.1,[2],['Moment Eqs'],color=icolmemo
device,/close
set_plot,'x'


!p.thick=1
!x.thick=1
!y.thick=1
!z.thick=1
!p.charthick=1
!p.charsize=1


end



