function readdisk,ext
;if n_elements(nr) eq 0 then begin
;   print,'Which diskstruct file?'
;   read,nr
;endif
filename='diskstruct_'+ext+'.dat'
print,filename
openr,1,filename
nr=0
nz=0
readf,1,nr,nz
data=dblarr(5,nz,nr)
readf,1,data
close,1
d=dblarr(nz,nr)
d(*,*)=data(0,*,*)
r=transpose(d)
d(*,*)=data(1,*,*)
z=transpose(d)
d(*,*)=data(2,*,*)
rho=transpose(d)
d(*,*)=data(3,*,*)
temp=transpose(d)
d(*,*)=data(4,*,*)
vz=transpose(d)
rr=r
r=rr(*,0)
return,{r:r,rr:rr,z:z,rho:rho,temp:temp,vz:vz}
end



function readdiskhist
openr,1,'diskstruct.info'
niter=0
readf,1,niter
close,1
filename='diskstruct.inp'
openr,1,filename
nr=0
nz=0
readf,1,nr,nz
nrorig=nr
nzorig=nz
rho=dblarr(nr,nz,niter+1)
temp=dblarr(nr,nz,niter+1)
z=dblarr(nr,nz,niter+1)
vz=dblarr(nr,nz,niter+1)
data=dblarr(5,nz,nr)
readf,1,data
close,1
d=dblarr(nz,nr)
d(*,*)=data(0,*,*)
r=transpose(d)
d(*,*)=data(1,*,*)
z(*,*,0)=transpose(d)
d(*,*)=data(2,*,*)
rho(*,*,0)=transpose(d)
d(*,*)=data(3,*,*)
temp(*,*,0)=transpose(d)
d(*,*)=data(4,*,*)
vz(*,*,0)=transpose(d)
for iter=1,niter do begin
   filename='diskstruct_hist_'+strcompress(floor(iter),/remove_all)+'.dat'
   openr,1,filename
   nr=0
   nz=0
   readf,1,nr,nz
   data=dblarr(4,nz,nr)
   readf,1,data
   close,1
   d=dblarr(nz,nr)
   d(*,*)=data(0,*,*)
   r=transpose(d)
   d(*,*)=data(1,*,*)
   z(*,*,iter)=transpose(d)
   d(*,*)=data(2,*,*)
   rho(*,*,iter)=transpose(d)
   d(*,*)=data(3,*,*)
   temp(*,*,iter)=transpose(d)
   d(*,*)=data(4,*,*)
   vz(*,*,iter)=transpose(d)
   rr=r
   r=rr(*,0)
endfor
return,{r:r,rr:rr,z:z,rho:rho,temp:temp,vz:vz}
end
