c
c     Commons for the central star
c
      common/star/star_t,             ! Temperature of central star
     %            star_r,             ! Radius of central star
     %            star_m,             ! Mass of star
     %            star_lum,           ! Spectrum of the star in lum
     %            star_ltot           ! Total lum of star
      doubleprecision star_r,star_t,star_m,star_ltot
      doubleprecision star_lum(FRSIZE_FREQ)
c
c     Commons for the disk
c
      common/disk/rrt_rho,rrt_temp,rrt_flareindex,rrt_rhotot,
     %            rrt_flareangle,rrt_vz,rrt_height,rrt_rhogas
      doubleprecision rrt_rho(DUST_SPECIES_MAX,FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_rhotot(FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_rhogas(FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_temp(DUST_SIZE_MAX,DUST_SPECIES_MAX,
     %                         FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_flareindex(FRSIZE_R)
      doubleprecision rrt_flareangle(FRSIZE_R)
      doubleprecision rrt_vz(FRSIZE_Z,FRSIZE_R)
      doubleprecision rrt_height(FRSIZE_R)
c
c     Commons for the SED
c
      common/sed/sed_fnu,sed_intensity,sed_tauim
      doubleprecision sed_fnu(FRSIZE_FREQ)
      doubleprecision sed_intensity(FRSIZE_R,FRSIZE_FREQ)
      doubleprecision sed_tauim(FRSIZE_R,FRSIZE_FREQ)

      common/iglob/glob_inclstar,glob_command,glob_inclrim,glob_itrace
      integer glob_inclstar,glob_command,glob_inclrim,glob_itrace
      common/glob/glob_inclination,glob_extrarin,glob_extrarout
      doubleprecision glob_inclination
      doubleprecision glob_extrarin,glob_extrarout
c
      common/flux/flx_fluxin,flx_fluxout
      doubleprecision flx_fluxin(FRSIZE_R),flx_fluxout(FRSIZE_R)
c
      common/trace/trace_intensm,trace_intensp,
     %             trace_tautotm,trace_tautotp,
     %             trace_sourcef
      doubleprecision trace_intensm(FRSIZE_FREQ,FRSIZE_Z)
      doubleprecision trace_intensp(FRSIZE_FREQ,FRSIZE_Z)
      doubleprecision trace_tautotm(FRSIZE_FREQ,FRSIZE_Z)
      doubleprecision trace_tautotp(FRSIZE_FREQ,FRSIZE_Z)
      doubleprecision trace_sourcef(FRSIZE_FREQ,FRSIZE_Z)
c

